summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-02-23 22:06:43 +0000
committerMike Frysinger <vapier@gentoo.org>2012-02-23 22:06:43 +0000
commitdeffde8a5f4024d6c9a39b3821a9bf98c863a97d (patch)
tree478836405f24b7f8b80c9ffbb871fd5b7b4666e2 /dev-libs/elfutils
parent(Gentoo Prefix only) Use id -g instead of id -gn, bug 350763 by Francois Bissey (diff)
downloadhistorical-deffde8a5f4024d6c9a39b3821a9bf98c863a97d.tar.gz
historical-deffde8a5f4024d6c9a39b3821a9bf98c863a97d.tar.bz2
historical-deffde8a5f4024d6c9a39b3821a9bf98c863a97d.zip
Version bump.
Package-Manager: portage-2.2.0_alpha86/cvs/Linux x86_64
Diffstat (limited to 'dev-libs/elfutils')
-rw-r--r--dev-libs/elfutils/ChangeLog9
-rw-r--r--dev-libs/elfutils/Manifest24
-rw-r--r--dev-libs/elfutils/elfutils-0.153.ebuild93
3 files changed, 119 insertions, 7 deletions
diff --git a/dev-libs/elfutils/ChangeLog b/dev-libs/elfutils/ChangeLog
index 6f605236f38c..d67a4af10221 100644
--- a/dev-libs/elfutils/ChangeLog
+++ b/dev-libs/elfutils/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for dev-libs/elfutils
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/ChangeLog,v 1.157 2011/10/31 22:23:02 vapier Exp $
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/ChangeLog,v 1.158 2012/02/23 22:06:43 vapier Exp $
+
+*elfutils-0.153 (23 Feb 2012)
+
+ 23 Feb 2012; Mike Frysinger <vapier@gentoo.org> +elfutils-0.153.ebuild:
+ Version bump.
31 Oct 2011; Mike Frysinger <vapier@gentoo.org> elfutils-0.152-r1.ebuild:
Tweak dis.h dependency so we don't regenerate the i386_gendis helper binary.
diff --git a/dev-libs/elfutils/Manifest b/dev-libs/elfutils/Manifest
index 5ab7eb560afe..a8ac9c4eecb8 100644
--- a/dev-libs/elfutils/Manifest
+++ b/dev-libs/elfutils/Manifest
@@ -1,5 +1,5 @@
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
+Hash: SHA1
AUX elfutils-0.118-PaX-support.patch 954 RMD160 ed86dfec7b51b273721f3dd0c6e11bba935e6c1e SHA1 baaaa3686902c3f4ce9f81f7a83e2e66ba1575d2 SHA256 e769e1168dc645ce99655f984f5c19a54d765210cacd098556b6b68743b877fa
AUX elfutils-0.143-configure.patch 772 RMD160 fb36819de9363f6c5387de2bf2c09b17353188b0 SHA1 7157b05bb86de8c97c8d1f1a4ea419d7d476864d SHA256 af91d9c73612d82b3b47099c0dd8e5cfaac1aa6538185e2760ba5ab933ef9091
@@ -13,6 +13,9 @@ DIST elfutils-0.151.tar.bz2 1861829 RMD160 9f7613a9d084cf06322f777de64a4caa276b1
DIST elfutils-0.152-portability.patch 39623 RMD160 13dd6a1f680ff6a682adb79233d326f056afa7aa SHA1 c989fa702fd473f01d4af1261ad39b02b889a305 SHA256 e006639191589caa9327ca7bf9740c83be20af8297b34ef44d1befcd08476160
DIST elfutils-0.152-robustify.patch 58762 RMD160 45bc0303f505ac0721825f63ab3351f6f5926f85 SHA1 3bd2e25eb3e06f4b274ad7ae663d9764a8626a5a SHA256 f7e352b503dd2d84aca5794a4b6c273d026b64d64154132dbee9db2c89e22b23
DIST elfutils-0.152.tar.bz2 1876711 RMD160 e8a89a56021b79c43c7bc69a467dcf02c10f63bd SHA1 b22380205ed3ad5145586b4074be190057eb2537 SHA256 78798715adba95528cdf3fce33eca813131ee75b9109693d313b72f67d7fb4a6
+DIST elfutils-0.153-portability.patch 57102 RMD160 b4ad0f3d64c5fdcdf9adeeba67ca0a3d1341bfce SHA1 2cdb7ae408ae385ff8032cde5c1638ca2a2d718a SHA256 26847f1641d1c8013d39ffdbd2c7167b941eddf64a782f5be366a69eb277c25d
+DIST elfutils-0.153-robustify.patch 63255 RMD160 4844dafc1a2d4359f20bed1cdb9e95fe63f1cc74 SHA1 748de5bef6213379a31e3ff684bcf8770ff306b2 SHA256 f5ac4f4213466700bed7c669172ad4b1dbad38e0091d44838ad9ae836a09705b
+DIST elfutils-0.153.tar.bz2 2179242 RMD160 98b8c02d49d5cc23f11dab5e9fb4d71d7cd3933f SHA1 8f908a121590daa2a18cbddd88393c02725b9eac SHA256 b6cd7d1fe81d5f874061b7d753f5b5a0546ccc5fd83af843201330479332bef0
EBUILD elfutils-0.146.ebuild 1859 RMD160 04ad2e35882dc5a5aa43ab707d4740f9ba6f0739 SHA1 116c3b2c907a59c6c0f06d4745a63e827f8e41a8 SHA256 4cbf1a9854c8b706802f811e993a7396bffc138799394f3694ab57b7bbedb6f7
EBUILD elfutils-0.148.ebuild 1875 RMD160 5cea3b243c204188fd00ac50c8f6a0b189c80a4c SHA1 9b0384e77db58df4f661dcb3dfb28244e02e2f4c SHA256 834a4b50f3d77b729db30594fc13aa204b465a21fbe49b9a37fdd8ec7c7c68e1
EBUILD elfutils-0.149.ebuild 1722 RMD160 9e6760b31636c9338c1b3a03cfb6e3942d9aa164 SHA1 b784ab00542476a91ad30fe8531ae334fa172d0b SHA256 009c3f5de043cdcd3bcb8fe7ad922295e04ec06110ce1ba272ae58a25112f6e3
@@ -20,12 +23,23 @@ EBUILD elfutils-0.150.ebuild 1748 RMD160 5b632aac813e2507b5ecbe997d9074a257872c9
EBUILD elfutils-0.151.ebuild 1748 RMD160 5f5a6b12bd9376ec8c4b0608b3471401bfe226ae SHA1 6654039c566905d1c9e51bbe5ae063373e13b605 SHA256 af61869db9596a30a9985b27b68b568ed724730ca3faefae373341c5f8bdc0b0
EBUILD elfutils-0.152-r1.ebuild 2810 RMD160 e02a0fc254aeb30b540f0f262902b64af71966ed SHA1 7c1d2594d29ff6e95723ee14431faae9fd8f0848 SHA256 546ce3e0841fbd8be5e4fed73c7240e5ff4d7e442e234c5e4bccc04c0d32da47
EBUILD elfutils-0.152.ebuild 1748 RMD160 276159137c4abbbbf81550486027e393d7f0f060 SHA1 fd1e41ce6c31cd7c0a2f8601e541fad377370b2e SHA256 fad62bce2ca23b765c33e0c2e975d86f0e5632b9eca34f8692ad6addcf747957
-MISC ChangeLog 20977 RMD160 c3b12b8e95df271f27cd246e5f78fd68b04c9304 SHA1 dfe7758daeb3d7cadacf363685b61d28b44f61fe SHA256 3885018e3967d0ae18a2dadd89ffab6b1c51e6f09318d8aae1f307b233c40dfb
+EBUILD elfutils-0.153.ebuild 2807 RMD160 e8ee0a0fc11c31fd56bcbf96099c7c631ec4fc82 SHA1 7d497713f275bb8b609fbc651f6bc2e35148c2c1 SHA256 716a3c0a89131c8ec4cb5d53b7fb2bf59f00f694794944b389c6fd13677e2045
+MISC ChangeLog 21099 RMD160 1d7912bf3a67c330fd9c0d7457f0edd19043f349 SHA1 4f70acba628d343f044324f021d8a7f0862b6a21 SHA256 35c51dcde2d15b1a033bbcf988efa43fa7cad8e2fc955065ddea64945d1130ce
MISC metadata.xml 281 RMD160 2e23c1850f32822e50d0905b2e36ba1e22c004b2 SHA1 8f2ea427f9a348676d948018d621bea51f0f8740 SHA256 2418a06fe1c33bf09a8cad2a5b582a9a5b4c2d3315e74f67e3b10c4d76f53736
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.18 (GNU/Linux)
-iF4EAREIAAYFAk6vH8wACgkQaC/OocHi7JZSfwEAlewkU1rCjDVj7eDb/pWDrRJR
-2Eth/LxNowNUO+dhAxQA/12nySyqj59+uSoT3OPY7x/OtBfnQFw98aCrz8UePepC
-=PhKs
+iQIcBAEBAgAGBQJPRrh7AAoJELEHsLL7fEFWxksQALgI1hNAXsnRPf/cuWYr5KL4
+bNLBD2lrUzKORcyGhnT6O86DheEeFi6YgLkK5Qa3cgCiQ518vGar+kYbUyWH+QSt
+aHcM5+yzCpeGdMXVXcCpEm3J4HjAr0u0SIXIWn+ujdMVZw60A5HzrAf7LBNdmlOi
+DizWXuZydHd+XoTwh9QrYQPRg6Izaa73LR0jyhIksnqcwZ2aOpruApZIw/az7hus
+DbBInL0/fNSYofhfdOjxAme+p3GSmNBMI9eMIBMPZBMCxWZnM8w4MvjGc9H5KS6W
+bX9zQAcAzAPU4rObKSoI9INaHV8qa9eqwNLu+zrkdzvD+YKkYWpFYn3R9VsB9+XA
+4auXaMFC1qK7z6E/kbqCCzRPHeTYnisSEgFT3+fg3kfnJPCsiwmig8r+Wy9TV+LS
+a6DKmKUxzGVMcAtxAPPHU59CrlqI1p01+CHRvdfhkuTLFHKMvvt3d0v1a5de8VJZ
+jmkVZZM1YZjySU1Ar/fIiEw3O+u0vvZYwhIKz25q5VZP0nviKHqc97JXRAqBxkRM
+Db6xEv9w60+5AXmM/IkumH9wAnjfmv9EOc7jymLdnizeQe+rKCtmqxrrTSW/DFu3
+LtpGkMaIwxYvHay4nXHfR0yOJcSALlBQlpDS7V9TCbaiL/fYMO7fXPjCfiZSgqQh
+ofNfeVdYsQ8SdWeszDoJ
+=f6aA
-----END PGP SIGNATURE-----
diff --git a/dev-libs/elfutils/elfutils-0.153.ebuild b/dev-libs/elfutils/elfutils-0.153.ebuild
new file mode 100644
index 000000000000..8afc1aa93eab
--- /dev/null
+++ b/dev-libs/elfutils/elfutils-0.153.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/elfutils/elfutils-0.153.ebuild,v 1.1 2012/02/23 22:06:43 vapier Exp $
+
+EAPI="3"
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Libraries/utilities to handle ELF objects (drop in replacement for libelf)"
+HOMEPAGE="https://fedorahosted.org/elfutils/"
+SRC_URI="https://fedorahosted.org/releases/e/l/${PN}/${PV}/${P}.tar.bz2
+ https://fedorahosted.org/releases/e/l/${PN}/${PV}/${PN}-portability.patch -> ${P}-portability.patch
+ https://fedorahosted.org/releases/e/l/${PN}/${PV}/${PN}-robustify.patch -> ${P}-robustify.patch"
+
+LICENSE="GPL-2-with-exceptions"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 lzma nls zlib"
+
+# This pkg does not actually seem to compile currently in a uClibc
+# environment (xrealloc errs), but we need to ensure that glibc never
+# gets pulled in as a dep since this package does not respect virtual/libc
+RDEPEND="zlib? ( >=sys-libs/zlib-1.2.2.3 )
+ bzip2? ( app-arch/bzip2 )
+ lzma? ( app-arch/xz-utils )
+ !dev-libs/libelf"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ >=sys-devel/flex-2.5.4a
+ sys-devel/m4"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.118-PaX-support.patch
+ epatch "${DISTDIR}"/${P}-{portability,robustify}.patch
+ sed -i -e 's:-Werror::g' $(find -name Makefile.in) || die
+ use test || sed -i -e 's: tests::' Makefile.in #226349
+ # some patches touch both configure and configure.ac
+ find -type f -exec touch -r configure {} +
+ mkdir -p ${CBUILD} ${CHOST}
+}
+
+econf_build() {
+ CFLAGS=${BUILD_CFLAGS:--O1 -pipe} \
+ CXXFLAGS=${BUILD_CXXFLAGS:--O1 -pipe} \
+ CPPFLAGS=${BUILD_CPPFLAGS} \
+ LDFLAGS=${BUILD_LDFLAGS} \
+ CC=$(tc-getBUILD_CC) \
+ LD=$(tc-getBUILD_LD) \
+ econf --host=${CBUILD} "$@"
+}
+
+src_configure() {
+ ECONF_SOURCE=${S}
+
+ if tc-is-cross-compiler ; then
+ pushd ${CBUILD} >/dev/null
+ econf_build --disable-nls --without-{zlib,bzlib,lzma}
+ popd >/dev/null
+ fi
+
+ pushd ${CHOST} >/dev/null
+ econf \
+ $(use_enable nls) \
+ --program-prefix="eu-" \
+ $(use_with zlib) \
+ $(use_with bzip2 bzlib) \
+ $(use_with lzma)
+ popd >/dev/null
+}
+
+src_compile() {
+ if tc-is-cross-compiler ; then
+ pushd ${CBUILD} >/dev/null
+ emake -C lib || die
+ emake -C libcpu || die
+ popd >/dev/null
+ ln ${CBUILD}/libcpu/i386_gendis ${CHOST}/libcpu/ || die
+ sed -i -e '/^%_dis.h: %_defs/s: i386_gendis::' ${CHOST}/libcpu/Makefile || die
+ fi
+
+ emake -C ${CHOST} || die
+}
+
+src_test() {
+ env LD_LIBRARY_PATH="${S}/libelf:${S}/libebl:${S}/libdw:${S}/libasm" \
+ LC_ALL="C" \
+ emake -C ${CHOST} -j1 check || die "test failed"
+}
+
+src_install() {
+ emake -C ${CHOST} DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS NOTES README THANKS TODO
+}